% Výpočet transformační matice CSE databáze
%% načtení ortogonálních svodů
for i =  1 : 25
load(['MO1_' sprintf('%0.3d',i) '_03'])
A(:,:,i) = x;
end
clear x; clear i;
%% načtení 12. svodů
for i =  1 : 25
load(['MO1_' sprintf('%0.3d',i) '_12'])
B(:,:,i) = x;
end
clear x; clear i;
%% vytvoření pseudoinverzní matice
for i = 1 : 25
D(:,:,i) = pinv(A(:,:,i));
end
%% vypočítání transformačních matic
for i = 1 : 25
T(:,:,i) = B(:,:,i)*D(:,:,i);
end
%% průměrování transformačních matic
prumCSE = mean(T,3);